<?php
require_once(getabspath("classes/cipherer.php"));
$tdataconcepto_gasto = array();
	$tdataconcepto_gasto[".NumberOfChars"] = 80; 
	$tdataconcepto_gasto[".ShortName"] = "concepto_gasto";
	$tdataconcepto_gasto[".OwnerID"] = "";
	$tdataconcepto_gasto[".OriginalTable"] = "concepto_gasto";

//	field labels
$fieldLabelsconcepto_gasto = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsconcepto_gasto["Spanish"] = array();
	$fieldToolTipsconcepto_gasto["Spanish"] = array();
	$fieldLabelsconcepto_gasto["Spanish"]["idconcepto"] = "Idconcepto";
	$fieldToolTipsconcepto_gasto["Spanish"]["idconcepto"] = "";
	$fieldLabelsconcepto_gasto["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsconcepto_gasto["Spanish"]["nombre"] = "";
	$fieldLabelsconcepto_gasto["Spanish"]["tipo"] = "Tipo";
	$fieldToolTipsconcepto_gasto["Spanish"]["tipo"] = "";
	if (count($fieldToolTipsconcepto_gasto["Spanish"]))
		$tdataconcepto_gasto[".isUseToolTips"] = true;
}
	
	
	$tdataconcepto_gasto[".NCSearch"] = true;



$tdataconcepto_gasto[".shortTableName"] = "concepto_gasto";
$tdataconcepto_gasto[".nSecOptions"] = 0;
$tdataconcepto_gasto[".recsPerRowList"] = 1;
$tdataconcepto_gasto[".mainTableOwnerID"] = "";
$tdataconcepto_gasto[".moveNext"] = 1;
$tdataconcepto_gasto[".nType"] = 0;

$tdataconcepto_gasto[".strOriginalTableName"] = "concepto_gasto";




$tdataconcepto_gasto[".showAddInPopup"] = false;

$tdataconcepto_gasto[".showEditInPopup"] = false;

$tdataconcepto_gasto[".showViewInPopup"] = false;

$tdataconcepto_gasto[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdataconcepto_gasto[".listAjax"] = true;
else 
	$tdataconcepto_gasto[".listAjax"] = false;

	$tdataconcepto_gasto[".audit"] = false;

	$tdataconcepto_gasto[".locking"] = false;

$tdataconcepto_gasto[".inlineEdit"] = true;
$tdataconcepto_gasto[".inlineAdd"] = true;

$tdataconcepto_gasto[".exportTo"] = true;


$tdataconcepto_gasto[".delete"] = true;

$tdataconcepto_gasto[".showSimpleSearchOptions"] = false;

$tdataconcepto_gasto[".showSearchPanel"] = true;

if (isMobile())
	$tdataconcepto_gasto[".isUseAjaxSuggest"] = false;
else 
	$tdataconcepto_gasto[".isUseAjaxSuggest"] = true;

$tdataconcepto_gasto[".rowHighlite"] = true;

// button handlers file names

$tdataconcepto_gasto[".addPageEvents"] = false;

// use timepicker for search panel
$tdataconcepto_gasto[".isUseTimeForSearch"] = false;




$tdataconcepto_gasto[".allSearchFields"] = array();

$tdataconcepto_gasto[".allSearchFields"][] = "nombre";
$tdataconcepto_gasto[".allSearchFields"][] = "tipo";

$tdataconcepto_gasto[".googleLikeFields"][] = "idconcepto";
$tdataconcepto_gasto[".googleLikeFields"][] = "nombre";
$tdataconcepto_gasto[".googleLikeFields"][] = "tipo";


$tdataconcepto_gasto[".advSearchFields"][] = "nombre";
$tdataconcepto_gasto[".advSearchFields"][] = "tipo";

$tdataconcepto_gasto[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdataconcepto_gasto[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataconcepto_gasto[".strOrderBy"] = $tstrOrderBy;

$tdataconcepto_gasto[".orderindexes"] = array();

$tdataconcepto_gasto[".sqlHead"] = "SELECT idconcepto,   nombre,   tipo";
$tdataconcepto_gasto[".sqlFrom"] = "FROM concepto_gasto";
$tdataconcepto_gasto[".sqlWhereExpr"] = "";
$tdataconcepto_gasto[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataconcepto_gasto[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataconcepto_gasto[".arrGroupsPerPage"] = $arrGPP;

$tableKeysconcepto_gasto = array();
$tableKeysconcepto_gasto[] = "idconcepto";
$tdataconcepto_gasto[".Keys"] = $tableKeysconcepto_gasto;

$tdataconcepto_gasto[".listFields"] = array();
$tdataconcepto_gasto[".listFields"][] = "nombre";
$tdataconcepto_gasto[".listFields"][] = "tipo";

$tdataconcepto_gasto[".viewFields"] = array();

$tdataconcepto_gasto[".addFields"] = array();
$tdataconcepto_gasto[".addFields"][] = "nombre";
$tdataconcepto_gasto[".addFields"][] = "tipo";

$tdataconcepto_gasto[".inlineAddFields"] = array();
$tdataconcepto_gasto[".inlineAddFields"][] = "nombre";
$tdataconcepto_gasto[".inlineAddFields"][] = "tipo";

$tdataconcepto_gasto[".editFields"] = array();

$tdataconcepto_gasto[".inlineEditFields"] = array();
$tdataconcepto_gasto[".inlineEditFields"][] = "nombre";
$tdataconcepto_gasto[".inlineEditFields"][] = "tipo";

$tdataconcepto_gasto[".exportFields"] = array();
$tdataconcepto_gasto[".exportFields"][] = "nombre";
$tdataconcepto_gasto[".exportFields"][] = "tipo";

$tdataconcepto_gasto[".printFields"] = array();

//	idconcepto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idconcepto";
	$fdata["GoodName"] = "idconcepto";
	$fdata["ownerTable"] = "concepto_gasto";
	$fdata["Label"] = "Idconcepto"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idconcepto"; 
		$fdata["FullName"] = "idconcepto";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataconcepto_gasto["idconcepto"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "concepto_gasto";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataconcepto_gasto["nombre"] = $fdata;
//	tipo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "tipo";
	$fdata["GoodName"] = "tipo";
	$fdata["ownerTable"] = "concepto_gasto";
	$fdata["Label"] = "Tipo"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "tipo"; 
		$fdata["FullName"] = "tipo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
					$edata["LookupType"] = 0;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
		
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "FIJOS";
	$edata["LookupValues"][] = "VARIABLES";

	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataconcepto_gasto["tipo"] = $fdata;

	
$tables_data["concepto_gasto"]=&$tdataconcepto_gasto;
$field_labels["concepto_gasto"] = &$fieldLabelsconcepto_gasto;
$fieldToolTips["concepto_gasto"] = &$fieldToolTipsconcepto_gasto;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["concepto_gasto"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["concepto_gasto"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_concepto_gasto()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idconcepto,   nombre,   tipo";
$proto0["m_strFrom"] = "FROM concepto_gasto";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idconcepto",
	"m_strTable" => "concepto_gasto"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "concepto_gasto"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo",
	"m_strTable" => "concepto_gasto"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto11=array();
$proto11["m_link"] = "SQLL_MAIN";
			$proto12=array();
$proto12["m_strName"] = "concepto_gasto";
$proto12["m_columns"] = array();
$proto12["m_columns"][] = "idconcepto";
$proto12["m_columns"][] = "nombre";
$proto12["m_columns"][] = "tipo";
$obj = new SQLTable($proto12);

$proto11["m_table"] = $obj;
$proto11["m_alias"] = "";
$proto13=array();
$proto13["m_sql"] = "";
$proto13["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto13["m_column"]=$obj;
$proto13["m_contained"] = array();
$proto13["m_strCase"] = "";
$proto13["m_havingmode"] = "0";
$proto13["m_inBrackets"] = "0";
$proto13["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto13);

$proto11["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto11);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_concepto_gasto = createSqlQuery_concepto_gasto();
			$tdataconcepto_gasto[".sqlquery"] = $queryData_concepto_gasto;
	
if(isset($tdataconcepto_gasto["field2"])){
	$tdataconcepto_gasto["field2"]["LookupTable"] = "carscars_view";
	$tdataconcepto_gasto["field2"]["LookupOrderBy"] = "name";
	$tdataconcepto_gasto["field2"]["LookupType"] = 4;
	$tdataconcepto_gasto["field2"]["LinkField"] = "email";
	$tdataconcepto_gasto["field2"]["DisplayField"] = "name";
	$tdataconcepto_gasto[".hasCustomViewField"] = true;
}

$tableEvents["concepto_gasto"] = new eventsBase;
$tdataconcepto_gasto[".hasEvents"] = false;

$cipherer = new RunnerCipherer("concepto_gasto");

?>